<html>
	<title>Everyone can contribute</title>
	<head>
		<link rel="shortcut icon" type="image/png" href="assets/favicon.png" id="favicon" data-original-href="assets/favicon.png" />
		<link href='//fonts.googleapis.com/css?family=Roboto:400,100,400italic,700italic,700' rel='stylesheet' type='text/css'>
		<link rel="stylesheet" href="assets/stylesheets/animate.css" />
		<link rel="stylesheet" href="assets/stylesheets/style.css" />
		<link rel="stylesheet" href="assets/stylesheets/logo.css" />
		<!-- clippy -->
		<link rel="stylesheet" type="text/css" href="assets/clippyjs/assets/clippy.css">

	</head>
<body>

<table>
<div style="position: absolute; top: 10px; align: center">
	<a href="https://everyonecancontribute.cafe" target="_blank">#EveryoneCanContribute Cafe</a> - <b>Learning cloudnative and DevOps together in a coffee chat <a href="https://www.meetup.com/everyonecancontribute-cafe/">meetup</a>.</b> <a href="https://www.youtube.com/gitlab-unfiltered">Livestream</a> and <a href="https://www.youtube.com/playlist?list=PL05JrBw4t0Kp1Gni9SyudMmXmBJIp7rIc" target="_blank">playlist</a> on GitLab Unfiltered YouTube.
</div>
</table>

<table>
<div class="animated mega infinite flip delay-5s">

<a href="https://about.gitlab.com/community/contribute/" target="_blank">

<svg width="150" height="150" viewBox="0 0 36 36" id="tanuki-logo" class="is-active">
  <path id="tanuki-right-ear" class="tanuki-shape" fill="#e24329" d="M2 14l9.38 9v-9l-4-12.28c-.205-.632-1.176-.632-1.38 0z"></path>
  <path id="tanuki-left-ear" class="tanuki-shape" fill="#e24329" d="M34 14l-9.38 9v-9l4-12.28c.205-.632 1.176-.632 1.38 0z"></path>
  <path id="tanuki-nose" class="tanuki-shape" fill="#e24329" d="M18,34.38 3,14 33,14 Z"></path>
  <path id="tanuki-right-eye" class="tanuki-shape" fill="#fc6d26" d="M18,34.38 11.38,14 2,14 6,25Z"></path>
  <path id="tanuki-left-eye" class="tanuki-shape" fill="#fc6d26" d="M18,34.38 24.62,14 34,14 30,25Z"></path>
  <path id="tanuki-right-cheek" class="tanuki-shape" fill="#fca326" d="M2 14L.1 20.16c-.18.565 0 1.2.5 1.56l17.42 12.66z"></path>
  <path id="tanuki-left-cheek" class="tanuki-shape" fill="#fca326" d="M34 14l1.9 6.16c.18.565 0 1.2-.5 1.56L18 34.38z"></path>
</svg>

</a>

<h1>Everyone can contribute!</h1>
</table>
</div>

<div style="position: absolute; bottom: 10px; right: 10px; width: 400px; word-wrap: break-word; font-family: 'Comic Sans MS';">
	Created by <a href="https://dnsmichi.at/about" target="_blank">dnsmichi</a> in Dec 2019 as part of the <a href="https://docs.google.com/presentation/d/1RGJcrEIHp7gMfsC8YxHncSv9KFehOU1JwiQr_SEdkdc/present">interview presentation</a> for the <a href="https://about.gitlab.com/handbook/marketing/developer-relations/developer-evangelism/" target="_blank">Developer Evangelist</a> role at GitLab.
	The goal was to show how to monitor HTTP and TLS certificates using <a href="https://o11y.love/topics/metrics/#prometheus">Prometheus</a> and surprise the audience with a GitLab-related demo and domain.
</div>

<!-- Add these scripts to  the bottom of the page -->
<!-- Use local copy of latest jQuery -->
<script type="text/javascript" src="assets/javascripts/jquery-3.7.0.min.js"></script>

<!-- Use local copy. Run 'yarn && yarn build' in assets/clippyjs to regenerate. -->
<script type="text/javascript" src="assets/clippyjs/dist/clippy.js"></script>

<!-- Override CDN load path with local assets. -->
<script type="text/javascript">
clippy.load('Clippy', function(agent){
	agent.show(true);
	console.log(agent.animations());
	agent.moveTo(10,10);
	agent.play('Searching');
	agent.speak('Hello. How can GitLab help you today?');
	agent.play('Pleased');
	agent.play('Alert');
	agent.animate();

	var myInterval = setInterval(function() {
		agent.animate();
	}, 5000);
}, undefined, 'assets/clippyjs/assets/agents/');
clippy.load('Merlin', function(agent){
	agent.show();
	console.log(agent.animations());
	agent.moveTo(1400,10);
	agent.speak('GitLab is magic.');
	agent.play('DoMagic1');
	agent.animate();

	var myInterval = setInterval(function() {
		agent.animate();
	}, 5000);
}, undefined, 'assets/clippyjs/assets/agents/');
clippy.load('Links', function(agent){
	agent.show();
	console.log(agent.animations());
	agent.moveTo(1400,500);
	agent.play('Hide');
	agent.play('CheckingSomething');
	agent.speak('GitLab loves pets.');
	agent.animate();

	var myInterval = setInterval(function() {
		agent.animate();
	}, 5000);
}, undefined, 'assets/clippyjs/assets/agents/');
clippy.load('Genius', function(agent){
	agent.show();
	console.log(agent.animations());
	agent.moveTo(10,500);
	agent.play('GReeting');
	agent.speak('Psssst. Use the Web IDE :)');
	agent.play('Wave');
	agent.animate();

	var myInterval = setInterval(function() {
		agent.animate();
	}, 5000);
}, undefined, 'assets/clippyjs/assets/agents/');

// Extra agents
/*
clippy.load('Bonzi', function(agent_bonzi){
	agent_bonzi.show(true);
//	console.log(agent_bonzi.animations());
	agent_bonzi.moveTo(1100,600);
	agent_bonzi.play('Searching');
	agent_bonzi.speak('Automate everything.');
	agent_bonzi.play('Wave');
	agent_bonzi.animate();
});
clippy.load('Rover', function(agent_rover){
	agent_rover.show();
	console.log(agent_rover.animations());
	agent_rover.moveTo(10,250);
	agent_rover.play('Greet');
	agent_rover.speak('Woof woof.');
	agent_rover.play('Surprised');
	agent_rover.animate();
});
*/
</script>

</body>
</html>
